#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct PropertyKeyWithCount {
    #[builder(into)]
    #[serde(rename = "propertyKey")]
    property_key: String,
    #[serde(rename = "documentCount")]
    document_count: i32,
    #[serde(rename = "valueCount")]
    value_count: i32,
}
impl PropertyKeyWithCount {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(
        property_key: impl Into<String>,
        document_count: i32,
        value_count: i32,
    ) -> Self {
        Self::builder()
            .property_key(property_key)
            .document_count(document_count)
            .value_count(value_count)
            .build()
    }
    #[inline]
    pub fn property_key(&self) -> &str {
        &*self.property_key
    }
    #[inline]
    pub fn document_count(&self) -> i32 {
        self.document_count
    }
    #[inline]
    pub fn value_count(&self) -> i32 {
        self.value_count
    }
}
